Search products
const url = 'https://api.example.com/cms/product/search';const options = { method: 'POST', headers: {'API-Key': '<API-Key>', 'Content-Type': 'application/json'}, body: '{"term":"example","categoryId":1,"includeChildren":"0","brandid":1,"settings":{},"sort":"price_asc","page":1,"limit":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/product/search \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --data '{ "term": "example", "categoryId": 1, "includeChildren": "0", "brandid": 1, "settings": {}, "sort": "price_asc", "page": 1, "limit": 1 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
Search term
Category ID to filter by
If category ID is specified, set this flag to include children categories
Brand ID to filter by
A key-value pair of settings and their desired values
object
Sort order
Page number
Number of items per page
Responses
Section titled “Responses”Search results
object
API representation of an ecommerce product
object
Product ID
Product name
Product subtitle
Product teaser
Product description
Product text
Brand
object
Product URL
Learn more link
Settings
object
Template
Main photo URL
Secondary photo URL
Thumbnail URL
SKU
Allow custom price
Whether customers who purchased this product can submit reviews
Average rating of approved reviews (1-5), null when there are none
Number of approved reviews
API representation of an ecommerce pricing tier (product item)
object
Item ID
Description
Product ID
Product name
Price
Currency
Available
Item order
Shippable
Weight
Installments
Once per user
Is upgrade
Upgrade type
Upgrade from
Upgrade exclude items
Upgrade price web
Upgrade price mobile
Settings
object
Has image
Additional label 1
Additional label 2
Additional label 3
Diameter
Length
Depth
Width
Recurrent
Recurrent price
Recurrent start
Recurrent schedule
SKU
Prices
object
Stock enabled
Stock available
Whether orders are accepted when out of stock
Package quantity
Related items
object
Images
Files
Product details. Deprecated to avoid circular references. Use productId instead.
object
Translations
Action data to be executed when a pricing tier is bought
object
Action data to be executed when a pricing tier is bought as a renewal
object
Pricing tiers
API representation of an ecommerce pricing tier (product item)
object
Item ID
Description
Product ID
Product name
Price
Currency
Available
Item order
Shippable
Weight
Installments
Once per user
Is upgrade
Upgrade type
Upgrade from
Upgrade exclude items
Upgrade price web
Upgrade price mobile
Settings
object
Has image
Additional label 1
Additional label 2
Additional label 3
Diameter
Length
Depth
Width
Recurrent
Recurrent price
Recurrent start
Recurrent schedule
SKU
Prices
object
Stock enabled
Stock available
Whether orders are accepted when out of stock
Package quantity
Related items
object
Images
Files
Product details. Deprecated to avoid circular references. Use productId instead.
object
Translations
Action data to be executed when a pricing tier is bought
object
Action data to be executed when a pricing tier is bought as a renewal
object
Categories
API representation of an ecommerce category
object
Category ID
Category name
Category description
Parent category ID
Category URL
Available
Featured
Image URL
Cover photo URL
Logo URL
Slug
Total products count
Settings
API representation of an ecommerce category setting
object
Name
Key
Setting type
Breadcrumbs
object
Category ID
Category name
Category slug
Category translations
object
Translations
object
object
Translated description
Translated label 1
Translated label 2
Translated label 3
object
API representation of a brand
object
Brand ID
Brand name
Brand image URL
Is available
Product count for brand
Example
{ "data": [ { "defaultItem": { "translations": { "en": { "name": "Name", "subtitle": "Subtitle" }, "fr": { "name": "Nom", "subtitle": "Sous-titre" } }, "actionData": [ { "function": "registerSubscription", "param": "365", "group": "subscription" } ], "actionDataRenew": [ { "function": "registerSubscription", "param": "365", "group": "subscription" } ] }, "items": [ { "translations": { "en": { "name": "Name", "subtitle": "Subtitle" }, "fr": { "name": "Nom", "subtitle": "Sous-titre" } }, "actionData": [ { "function": "registerSubscription", "param": "365", "group": "subscription" } ], "actionDataRenew": [ { "function": "registerSubscription", "param": "365", "group": "subscription" } ] } ], "categories": [ { "settings": [ { "name": "Main News Channel", "key": "size", "type": "color, text" } ], "translations": { "en": { "name": "Name", "description": "Description" }, "fr": { "name": "Nom", "description": "Description FR" } } } ], "translations": { "en": { "description": "Description text", "label1": "Label 1", "label2": "Label 2", "label3": "Label 3" }, "fr": { "description": "Texte de description", "label1": "Étiquette 1", "label2": "Étiquette 2", "label3": "Étiquette 3" } } } ]}